{% set pagination = pagination|default(page.collection.params.pagination) %}
{% set base_url = base_url|default(page.url) %}

{%- if pagination|length > 1 -%}
<nav aria-label="Pagination">
  <ul class="pagination text-center">

    {% if pagination.hasPrev -%}
        {%- set url = (base_url ~ (pagination.params ~ pagination.prevUrl))|replace({'//': '/'}) -%}
        <li class="pagination-previous"><a href="{{ url }}" aria-label="Previous page">Previous</a></li>
    {%- else -%}
        <li class="pagination-previous disabled">Previous</li>
    {%- endif %}

    {% for paginate in pagination %}
        {% if paginate.isCurrent -%}
            <li class="current"><span class="show-for-sr">You're on page</span> {{ paginate.number }}</li>
        {%- elseif paginate.isInDelta -%}
            {%- set url = (base_url ~ (pagination.params ~ paginate.url))|replace({'//': '/'}) -%}
            <li><a href="{{ url }}" aria-label="Page {{ paginate.number }}">{{ paginate.number }}</a></li>
        {%- elseif paginate.isDeltaBorder -%}
            <li class="ellipsis"></li>
        {%- endif %}
    {% endfor %}

    {% if pagination.hasNext -%}
        {%- set url = (base_url ~ (pagination.params ~ pagination.nextUrl))|replace({'//': '/'}) -%}
        <li class="pagination-next"><a href="{{ url }}" aria-label="Next page">Next</a></li>
    {%- else -%}
        <li class="pagination-next disabled">Next</li>
    {%- endif %}

  </ul>
</nav>
{%- endif -%}
